Subject: Re: bug#56452: [PATCH 0/5] Fix and update LLVM and clang-toolchain.

From: Greg Hogan <[email-masked]>
Date: Tue, 12 Jul 2022 16:06:07 -0400

On Mon, Jul 11, 2022 at 6:06 PM Ludovic Courtès <[email-masked]> wrote:
>
> Hi,
>
> Greg Hogan <[email-masked]> skribis:
>
> > * gnu/packages/audio.scm (faust-2): Update to 2.41.1.
> > [build-system]: Replace gnu-build-system with cmake-build-system.
> > [native-inputs]: Replace llvm-3.8 with llvm.
>
> It fails to build for me, [...]
>
> Could you take a look?
>
> Thanks,
> Ludo’.

Ludo',

Thanks for the review! I failed to register that by switching the
dependency from llvm-3.8 to llvm, the faust-2 build would no longer be
initiated when building all dependencies of llvm-3.8.

I have a patch to follow-up with git send-email. I have cc'd Ricardo
since he looks to be both a user and maintainer of the faust packages.

Greg